org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONTokens

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONTokens

-     public final class GraphSONTokens
      extends Object

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AND`
    `static String` | `ANNOTATIONS`
    `static String` | `ARGUMENTS`
    `static String` | `BULK`
    `static String` | `CATEGORY`
    `static String` | `CLASS`
    `static String` | `COUNTS`
    `static String` | `DURATION`
    `static String` | `EDGE`
    `static String` | `EDGES`
    `static String` | `ELEMENT`
    `static String` | `FINAL`
    `static String` | `GREMLIN_TYPE_NAMESPACE`
    `static String` | `GREMLINX_TYPE_NAMESPACE`
    `static String` | `ID`
    `static String` | `IN`
    `static String` | `IN_E`
    `static String` | `IN_LABEL`
    `static String` | `INTERMEDIATE`
    `static String` | `KEY`
    `static String` | `LABEL`
    `static String` | `LABELS`
    `static String` | `LANGUAGE`
    `static String` | `METRICS`
    `static String` | `NAME`
    `static String` | `NOT`
    `static String` | `OBJECTS`
    `static String` | `OR`
    `static String` | `ORIGINAL`
    `static String` | `OUT`
    `static String` | `OUT_E`
    `static String` | `OUT_LABEL`
    `static String` | `PREDICATE`
    `static String` | `PROPERTIES`
    `static String` | `SCRIPT`
    `static String` | `SOURCE`
    `static String` | `STEP`
    `static String` | `STRATEGY`
    `static String` | `TRAVERSAL`
    `static String` | `TYPE`
    `static String` | `VALUE`
    `static String` | `VALUEPROP`
    `static String` | `VALUETYPE`
    `static String` | `VERTEX`
    `static String` | `VERTEX_PROPERTY`
    `static String` | `VERTICES`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS

          public static final String CLASS

      See Also:
        Constant Field Values

    - #### VALUETYPE

          public static final String VALUETYPE

      See Also:
        Constant Field Values

    - #### VALUEPROP

          public static final String VALUEPROP

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### PROPERTIES

          public static final String PROPERTIES

      See Also:
        Constant Field Values

    - #### KEY

          public static final String KEY

      See Also:
        Constant Field Values

    - #### EDGE

          public static final String EDGE

      See Also:
        Constant Field Values

    - #### EDGES

          public static final String EDGES

      See Also:
        Constant Field Values

    - #### ELEMENT

          public static final String ELEMENT

      See Also:
        Constant Field Values

    - #### VERTEX

          public static final String VERTEX

      See Also:
        Constant Field Values

    - #### VERTEX_PROPERTY

          public static final String VERTEX_PROPERTY

      See Also:
        Constant Field Values

    - #### VERTICES

          public static final String VERTICES

      See Also:
        Constant Field Values

    - #### IN

          public static final String IN

      See Also:
        Constant Field Values

    - #### OUT

          public static final String OUT

      See Also:
        Constant Field Values

    - #### IN_E

          public static final String IN_E

      See Also:
        Constant Field Values

    - #### OUT_E

          public static final String OUT_E

      See Also:
        Constant Field Values

    - #### LABEL

          public static final String LABEL

      See Also:
        Constant Field Values

    - #### LABELS

          public static final String LABELS

      See Also:
        Constant Field Values

    - #### OBJECTS

          public static final String OBJECTS

      See Also:
        Constant Field Values

    - #### IN_LABEL

          public static final String IN_LABEL

      See Also:
        Constant Field Values

    - #### OUT_LABEL

          public static final String OUT_LABEL

      See Also:
        Constant Field Values

    - #### GREMLIN_TYPE_NAMESPACE

          public static final String GREMLIN_TYPE_NAMESPACE

      See Also:
        Constant Field Values

    - #### GREMLINX_TYPE_NAMESPACE

          public static final String GREMLINX_TYPE_NAMESPACE

      See Also:
        Constant Field Values

    - #### ORIGINAL

          public static final String ORIGINAL

      See Also:
        Constant Field Values

    - #### FINAL

          public static final String FINAL

      See Also:
        Constant Field Values

    - #### INTERMEDIATE

          public static final String INTERMEDIATE

      See Also:
        Constant Field Values

    - #### CATEGORY

          public static final String CATEGORY

      See Also:
        Constant Field Values

    - #### TRAVERSAL

          public static final String TRAVERSAL

      See Also:
        Constant Field Values

    - #### STRATEGY

          public static final String STRATEGY

      See Also:
        Constant Field Values

    - #### METRICS

          public static final String METRICS

      See Also:
        Constant Field Values

    - #### DURATION

          public static final String DURATION

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### COUNTS

          public static final String COUNTS

      See Also:
        Constant Field Values

    - #### ANNOTATIONS

          public static final String ANNOTATIONS

      See Also:
        Constant Field Values

    - #### BULK

          public static final String BULK

      See Also:
        Constant Field Values

    - #### SCRIPT

          public static final String SCRIPT

      See Also:
        Constant Field Values

    - #### LANGUAGE

          public static final String LANGUAGE

      See Also:
        Constant Field Values

    - #### ARGUMENTS

          public static final String ARGUMENTS

      See Also:
        Constant Field Values

    - #### PREDICATE

          public static final String PREDICATE

      See Also:
        Constant Field Values

    - #### AND

          public static final String AND

      See Also:
        Constant Field Values

    - #### NOT

          public static final String NOT

      See Also:
        Constant Field Values

    - #### OR

          public static final String OR

      See Also:
        Constant Field Values

    - #### SOURCE

          public static final String SOURCE

      See Also:
        Constant Field Values

    - #### STEP

          public static final String STEP

      See Also:
        Constant Field Values

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.